Changeset ba5d55b in rtems-testing


Ignore:
Timestamp:
Dec 1, 2011, 7:17:34 PM (7 years ago)
Author:
Joel Sherrill <joel.sherrill@…>
Branches:
4.11, 8895273c193787f84c4585a10f6d6aceb3b25dc4
Children:
6517cde
Parents:
6effcd2
Message:

2011-12-01 Joel Sherrill <joel.sherrill@…>

  • do_one: If a secondary language fails to build, do not abort build but continue on and attempt other secondary languages. Clean up arguments to rundeja to reflect clean up in that script.
  • rtems_gcc_main.c: Add /tmp directory and file support so more tests pass. Make sure argc/argv are correctly setup.
  • rtems_gcj_init.c: Add comment.
  • rundeja: Consolidate similar cases to eliminate duplication.
  • test_driver: Install autotools if autoconf is not at install point.
Location:
gcc
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • gcc/ChangeLog

    r6effcd2 rba5d55b  
     12011-12-01      Joel Sherrill <joel.sherrill@oarcorp.com>
     2
     3        * do_one: If a secondary language fails to build, do not abort build but
     4        continue on and attempt other secondary languages.
     5        Clean up arguments to rundeja to reflect clean up in that script.
     6        * rtems_gcc_main.c: Add /tmp directory and file support so more tests pass.
     7        Make sure argc/argv are correctly setup.
     8        * rtems_gcj_init.c: Add comment.
     9        * rundeja: Consolidate similar cases to eliminate duplication.
     10        * test_driver: Install autotools if autoconf is not at install point.
     11
    1122011-11-06      Joel Sherrill <joel.sherrill@oarcorp.com>
    213
  • gcc/do_one

    r6effcd2 rba5d55b  
    593593    exit 1
    594594  fi
    595 
    596595}
    597596
     
    648647  if [ $status -ne 0 ] ; then
    649648    echo "Failed building RTEMS for ${cpuArg}/${bspArg}"
    650     exit $status
     649    if [ ${bspArg} != "multilib" ] ; then
     650      exit $status
     651    fi
    651652  fi
    652653}
     
    654655if [ ${do_rtems} = "yes" ] ; then
    655656  echo "Building RTEMS for ${cpu} ${bsp} ..."
    656   time j_rtems ${cpu} multilib >${LOGDIR}/${cpu}-rtems-multilib.log 2>&1
     657  time j_rtems ${cpu} multilib ${bsp} >${LOGDIR}/${cpu}-rtems-multilib.log 2>&1
    657658  if [ $? -ne 0 ] ; then
    658659    echo "Failed to build RTEMS multilib for ${cpu}"
     
    829830  status=$?
    830831  if [ $status -ne 0 ] ; then
    831     echo "Failed building Ada"
     832    echo "Failed building Ada - continuing to next secondary language"
    832833  fi
    833834  return $status
     
    918919  status=$?
    919920  if [ $status -ne 0 ] ; then
    920     echo "Failed building Go"
    921   fi
    922   exit $status
     921    echo "Failed building Go - continuing to next secondary language"
     922  fi
     923  return $status
    923924}
    924925
     
    987988  test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-go
    988989fi
    989 exit 0
    990990
    991991##### Build a GCJ compiler now that we have a cross installed
     
    10321032  status=$?
    10331033  if [ $status -ne 0 ] ; then
    1034     echo "Failed building GCJ"
    1035   fi
    1036   exit $status
     1034    echo "Failed building GCJ - continuing to next secondary language"
     1035  fi
     1036  return $status
    10371037}
    10381038
     
    10551055  echo "Running libjava DejaGNU tests..."
    10561056  cd ${BASEDIR}/b-${cpu}-gcj || exit 1
    1057   time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} libjava \
     1057  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} java \
    10581058    >${LOGDIR}/${cpu}-libjavatests-${bsp}.log 2>&1
    10591059
     
    10971097  status=$?
    10981098  if [ $status -ne 0 ] ; then
    1099     echo "Failed building FORTRAN"
    1100   fi
    1101   exit $status
     1099    echo "Failed building FORTRAN - continuing to next secondary language"
     1100  fi
     1101  return $status
    11021102}
    11031103
  • gcc/rtems_gcc_main.c

    r6effcd2 rba5d55b  
    1 /*  Init
    2  *
    3  *  COPYRIGHT (c) 1989-2008.
     1/*
     2 *  Main for GCC Tests
     3 * 
     4 *  COPYRIGHT (c) 1989-2011.
    45 *  On-Line Applications Research Corporation (OAR).
    56 *
     
    1213
    1314#include <rtems.h>
     15#include <sys/stat.h>
     16#include <sys/types.h>
    1417
    15 int main( int, char **, char **);
     18/*
     19 * Set up first argument
     20 */
     21static int   argc     = 1;
     22static char  arg0[20] = "rtems";
     23static char *argv[20] = { arg0 };
     24
     25int main(int argc, char **argv, char **environp);
     26
     27rtems_task Init(rtems_task_argument ignored)
     28{
     29  mkdir( "/tmp", 0777 );
     30  main(argc, argv, NULL);
     31}
    1632
    1733/* configuration information */
     
    2541/* GCC tests start at main, use a lot of stack and may use the FPU */
    2642#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
    27 #define CONFIGURE_INIT_TASK_ENTRY_POINT   (void *)main
    2843#if defined(__m32c__)
    2944  #define CONFIGURE_INIT_TASK_STACK_SIZE    (16 * 1024)
     
    3247#endif
    3348#define CONFIGURE_INIT_TASK_ATTRIBUTES    RTEMS_FLOATING_POINT
     49
     50/* This helps language tests which need a real filesystem */
     51#define CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM
     52#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS 20
    3453
    3554#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
  • gcc/rtems_gcj_init.c

    r6effcd2 rba5d55b  
     1/*
     2 *   Main for GCJ Testing
     3 */
     4
    15#include <bsp.h>
    26#include <stdlib.h>
  • gcc/rundeja

    r6effcd2 rba5d55b  
    118118fi
    119119
    120 case $2 in
     120testsuite=$2
     121case ${testsuite} in
     122  libgo) ;;
     123  gccgo)
     124     testmain=rtems_gccgo_init.o
     125     makefile=Makefile.rtems_gccgoinit
     126     stanza=check-go
     127     ;;
     128  java)
     129     testmain=rtems_gcj_init.o
     130     makefile=Makefile.rtems_gcjinit
     131     stanza=check-gcc-java
     132     ;;
     133  gcc|objc|fortran|gccgo|java)
     134     testmain=rtems_gcc_main.o
     135     makefile=Makefile.rtems_gccmain
     136     stanza=check-${testsuite}
     137     ;;
     138  *)
     139     testmain=rtems_gcc_main.o
     140     makefile=Makefile.rtems_gccmain
     141     stanza=check
     142     ;;
     143esac
     144
     145case ${testsuite} in
    121146  libgo)
    122147    rtems_libgo_init=${SCRIPTDIR}/gcc/rtems_libgo_init.c
     
    131156    "
    132157    ;;
    133   gccgo)
     158  gcc|objc|fortran|gccgo|java|*)
    134159    RTEMS_MAKEFILE_PATH=${rtemsdir} \
    135160    SCRIPTDIR=${SCRIPTDIR} \
    136       make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccgoinit
     161      make -f ${SCRIPTDIR}/gcc/${makefile}
    137162    if [ $? -ne 0 ] ; then
    138       echo unable to compile RTEMS GCC Go Init File
     163      echo unable to compile RTEMS Init File for ${testsuite}
    139164      exit 1
    140165    fi
    141     rtems_config=`pwd`/rtems_gccgo_init.o
    142     make check-go RUNTESTFLAGS="\
     166    rtems_config=`pwd`/${testmain}
     167    make ${stanza} RUNTESTFLAGS="\
    143168    SIM=${BSP_SIM} \
    144169    RTEMS_MAKEFILE_PATH=${rtemsdir} \
     
    147172    "
    148173    ;;
    149   objc)
    150     RTEMS_MAKEFILE_PATH=${rtemsdir} \
    151     SCRIPTDIR=${SCRIPTDIR} \
    152       make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccmain
    153     if [ $? -ne 0 ] ; then
    154       echo unable to compile RTEMS GCC Main
    155       exit 1
    156     fi
    157     rtems_config=`pwd`/rtems_gcc_main.o
    158     make check-objc RUNTESTFLAGS="\
    159     SIM=${BSP_SIM} \
    160     RTEMS_MAKEFILE_PATH=${rtemsdir} \
    161     RTEMS_CONFIG_OBJ=${rtems_config} \
    162     --target_board=rtems-${CPU}-${DEJABSP} \
    163     "
    164     ;;
    165   libjava)
    166     RTEMS_MAKEFILE_PATH=${rtemsdir} \
    167     SCRIPTDIR=${SCRIPTDIR} \
    168       make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gcjinit
    169     if [ $? -ne 0 ] ; then
    170       echo unable to compile RTEMS GCC Java Init File
    171       exit 1
    172     fi
    173     rtems_config=`pwd`/rtems_gcj_init.o
    174     make check-gcc-java RUNTESTFLAGS="\
    175     SIM=${BSP_SIM} \
    176     RTEMS_MAKEFILE_PATH=${rtemsdir} \
    177     RTEMS_CONFIG_OBJ=${rtems_config} \
    178     --target_board=rtems-${CPU}-${DEJABSP} \
    179     "
    180     ;;
    181   gcc)
    182     RTEMS_MAKEFILE_PATH=${rtemsdir} \
    183     SCRIPTDIR=${SCRIPTDIR} \
    184       make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccmain
    185     if [ $? -ne 0 ] ; then
    186       echo unable to compile RTEMS GCC Main
    187       exit 1
    188     fi
    189     rtems_config=`pwd`/rtems_gcc_main.o
    190     make check-gcc RUNTESTFLAGS="\
    191     SIM=${BSP_SIM} \
    192     RTEMS_MAKEFILE_PATH=${rtemsdir} \
    193     RTEMS_CONFIG_OBJ=${rtems_config} \
    194     --target_board=rtems-${CPU}-${DEJABSP} \
    195     "
    196     ;;
    197   *)
    198     RTEMS_MAKEFILE_PATH=${rtemsdir} \
    199     SCRIPTDIR=${SCRIPTDIR} \
    200       make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccmain
    201     if [ $? -ne 0 ] ; then
    202       echo unable to compile RTEMS GCC Main
    203       exit 1
    204     fi
    205     rtems_config=`pwd`/rtems_gcc_main.o
    206     echo make check RUNTESTFLAGS="\
    207     SIM=${BSP_SIM} \
    208     RTEMS_MAKEFILE_PATH=${rtemsdir} \
    209     RTEMS_CONFIG_OBJ=${rtems_config} \
    210     --target_board=rtems-${CPU}-${DEJABSP} \
    211     "
    212 exit 0
    213     ;;
    214174esac
    215175
  • gcc/test_driver

    r6effcd2 rba5d55b  
    299299
    300300# Update gcc and install autotools in parallel
    301   if [ ${doCleanInstallPoint} = "yes" ] ; then
     301  if [ ! -r ${INSTALL}/bin/autoconf ] ; then
    302302    install_auto
    303303  fi
Note: See TracChangeset for help on using the changeset viewer.